Bug 1468498 (CVE-2017-10982) - CVE-2017-10982 freeradius: Out-of-bounds read in fr_dhcp_decode_options()
Summary: CVE-2017-10982 freeradius: Out-of-bounds read in fr_dhcp_decode_options()
Status: CLOSED ERRATA
Alias: CVE-2017-10982
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
(Show other bugs)
Version: unspecified
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20170717,repor...
Keywords: Security
Depends On: 1469124 1469125 1471858
Blocks: 1468570
TreeView+ depends on / blocked
 
Reported: 2017-07-07 09:10 UTC by Adam Mariš
Modified: 2017-08-02 09:47 UTC (History)
6 users (show)

Fixed In Version: freeradius 2.2.10
Doc Type: If docs needed, set a value
Doc Text:
An out-of-bounds read flaw was found in the way FreeRADIUS server handles decoding of DHCP packets. A remote attacker could use this flaw to crash the FreeRADIUS server by sending a specially crafted DHCP request.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-02 09:39:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch (775 bytes, patch)
2017-07-07 12:12 UTC, Adam Mariš
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1759 normal SHIPPED_LIVE Important: freeradius security update 2017-07-18 07:41:08 UTC

Description Adam Mariš 2017-07-07 09:10:17 UTC
The fr_dhcp_decode_options() function does not do proper bounds checks on option lengths, leading to out-of-bounds read.

The server can read up to 253 octets more data than it should. Depending on memory layout, this read may initiate a page fault, and cause the server to crash. 

The security impact is denial of service by any network device capable of sending DHCP packets to FreeRADIUS, which sends packets with malformed options.

Affected versions: 2.0.0 through 2.2.9, inclusive.

Comment 1 Adam Mariš 2017-07-07 09:10:25 UTC
Acknowledgments:

Name: the FreeRADIUS project
Upstream: Guido Vranken

Comment 2 Adam Mariš 2017-07-07 12:12 UTC
Created attachment 1295277 [details]
Proposed patch

Comment 6 Dhiru Kholia 2017-07-17 14:34:49 UTC
Created freeradius tracking bugs for this issue:

Affects: fedora-all [bug 1471858]

Comment 7 errata-xmlrpc 2017-07-18 03:42:20 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2017:1759 https://access.redhat.com/errata/RHSA-2017:1759

Comment 8 Dhiru Kholia 2017-08-02 09:44:20 UTC
External References:

http://freeradius.org/security/fuzzer-2017.html


Note You need to log in before you can comment on or make changes to this bug.